<template>
  <v-app id="inspire">
    <v-app-bar app color="black" dark v-if="this.$route.name != 'AccountView'">
      <router-link to="/overview">
        <v-img
          alt="Logo"
          class="shrink ml-7"
          contain
          src="@/assets/logo.png"
          transition="scale-transition"
          width="140"
        />
      </router-link>
      <v-spacer></v-spacer>
      <v-btn text plain class="" v-if="this.$route.name != 'Account'"
        >Filme</v-btn
      >
      <v-btn text plain class="mr-5" v-if="this.$route.name != 'Account'"
        >Serien</v-btn
      >
      <v-icon color="grey" class="mr-6" v-if="this.$route.name != 'Account'"
        >mdi-magnify</v-icon
      >
      <v-icon color="grey" class="mr-6" v-if="this.$route.name != 'Account'"
        >mdi-bell-outline</v-icon
      >
      <v-menu offset-y v-if="this.$route.name != 'Account'">
        <template v-slot:activator="{ on }">
          <v-avatar v-on="on" class="mr-5" v-if="user.username" size="40px">
            <v-img :src="`/${user.image}.png`" />
          </v-avatar>
        </template>

        <v-list width="250px" height="400px" dark>
          <v-card-subtitle class="grey--text pb-0">Konto</v-card-subtitle>

          <v-list-item class="pt-0">
            <v-avatar class="mr-5" v-if="user.username" size="40px">
              <v-img :src="`/${user.image}.png`" />
            </v-avatar>
            <v-list-item-content>
              <v-list-item-title>{{ user.username }}</v-list-item-title>
              <v-list-item-subtitle>{{ user.email }}</v-list-item-subtitle>
            </v-list-item-content>
          </v-list-item>
          <v-divider></v-divider>
          <v-sheet>
            <v-list-item
              style="font-size: 14px"
              class="grey--text"
              to="/saved/movies"
            >
              <v-icon color="red" class="mr-2">mdi-heart</v-icon>Gespeicherte
              Filme/Serien
            </v-list-item>
            <v-divider></v-divider>
            <v-list-item style="font-size: 14px" class="grey--text" to="/">
              <v-icon color="grey" class="mr-2">mdi-account</v-icon>Account
              wechseln
            </v-list-item>
          </v-sheet>
        </v-list>
      </v-menu>
    </v-app-bar>
    <v-main class="bg-color">
      <transition name="slide" mode="out-in">
        <router-view />
      </transition>
    </v-main>
  </v-app>
</template>
<script>
export default {
  name: "LayoutView",
  data: () => ({
    user: {
      username: "",
      email: "",
    },
  }),

  // mounted() {
  //   this.userData();
  // },
  // created() {
  //   this.userData();
  // },
  watch: {
    "$route.name": {
      handler: "userData",
      immediate: true,
    },
  },
  methods: {
    userData() {
      const userDataString = localStorage.getItem("userData");
      if (userDataString) {
        this.user = JSON.parse(userDataString);
        this.user.image = this.user.email.split("@")[0];
      } else {
        this.user.username = "";
        this.user.email = "";
      }
    },
  },
};
</script>

<style>
.slide-enter-active,
.slide-leave-active {
  transition: transform 0.5s;
}
.slide-enter,
.slide-leave-to {
  transform: translateX(-100%);
}
html {
  overflow: scroll;
  overflow-x: hidden;
}
::-webkit-scrollbar {
  width: 3px;
  background: white;
}
::-webkit-scrollbar-thumb {
  background: #df0000;
}

.bg-color {
  background-color: rgb(23, 23, 23) !important;
}
</style>
